Bug 1383819 - copr repo makes gnome-software/pkcon unable to find software
Summary: copr repo makes gnome-software/pkcon unable to find software
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-11 20:54 UTC by Baptiste POUGET
Modified: 2016-12-19 23:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-19 23:23:58 UTC


Attachments (Terms of Use)

Description Baptiste POUGET 2016-10-11 20:54:07 UTC
Description of problem:

A copr repo can break gnome-software's look for software and make it display almost nothing without showing any error.

Version-Release number of selected component (if applicable):
Fedora 25 (upgraded from Fedora 24)

How reproducible:


Steps to Reproduce:
1. Add a copr repo like this one : "duffert/qtox-latest"
2. Run gnome-software
3. See there is no software
4. run 'pkcon refresh force'
5. See the error message (Erreur fatale: Status code: 404 for https://copr-be.cloud.fedoraproject.org/results/duffert/qtox-latest/pubkey.gpg
) in french (= fatal error 404 in english)
6. Run 'dnf copr remove duffert/qtox-latest' (in this case)
7. Run 'pkcon refresh force' again
8. See no error
9. Run gnome-software
10. See software

Actual results:

There is no way for the user to guess why gnome-software doesnt find anything

Expected results:

At least throw an error message or skip the broken repo without breaking everything

Additional info:

It happened when upgrading from Fedora 24 to 25 beta

Comment 1 Kalev Lember 2016-12-15 15:12:42 UTC
Thanks, should be fixed with https://github.com/rpm-software-management/libhif/pull/231

Comment 2 Fedora Update System 2016-12-17 09:14:43 UTC
PackageKit-1.1.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-28f95ccb2f

Comment 3 Fedora Update System 2016-12-19 02:31:02 UTC
PackageKit-1.1.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-28f95ccb2f

Comment 4 Fedora Update System 2016-12-19 23:23:58 UTC
PackageKit-1.1.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.